package com.ruoyi.warehouseBusiness.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.warehouseBusiness.domain.TEnclosure;

import java.util.List;

/**
 * 附件Mapper接口
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public interface TEnclosureMapper extends BaseMapper<TEnclosure> {
    /**
     * 查询附件
     *
     * @param fId 附件ID
     * @return 附件
     */
    public TEnclosure selectTEnclosureById(Long fId);

    /**
     * 查询附件列表
     *
     * @param tEnclosure 附件
     * @return 附件集合
     */
    public List<TEnclosure> selectTEnclosureList(TEnclosure tEnclosure);

    /**
     * 新增附件
     *
     * @param tEnclosure 附件
     * @return 结果
     */
    public int insertTEnclosure(TEnclosure tEnclosure);

    /**
     * 修改附件
     *
     * @param tEnclosure 附件
     * @return 结果
     */
    public int updateTEnclosure(TEnclosure tEnclosure);

    /**
     * 删除附件
     *
     * @param fId 附件ID
     * @return 结果
     */
    public int deleteTEnclosureById(Long fId);

    /**
     * 批量删除附件
     *
     * @param fIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTEnclosureByIds(Long[] fIds);

    int deleteByFPid(Long fId);

    /**
     *  查询出入库附件app
     * @param enclosure 条件
     * @return  结果
     */
    public List<TEnclosure> selectWarehouseAccessoriesList(TEnclosure enclosure);

    /**
     *  根据主表id查询对应附件信息
     * @param fPid
     * @return
     */
    public List<TEnclosure> selectTEnclosureByPId(Long fPid);
}
